com.r3corda.node.services.messaging / StateMachineUpdate

# StateMachineUpdate

`sealed class StateMachineUpdate`

### Types

Added | `class Added : StateMachineUpdate`
Removed | `class Removed : StateMachineUpdate`

### Properties

id | `val id: StateMachineRunId`

### Companion Object Functions

fromStateMachineChange | `fun fromStateMachineChange(change: Change): StateMachineUpdate`

### Inheritors

Added | `class Added : StateMachineUpdate`
Removed | `class Removed : StateMachineUpdate`